package org.eclipse.tm.tcf.extender.channel;

import org.eclipse.tm.tcf.extender.message.IMessage;

public interface IChannel {

	void writeMessage(IMessage message) throws Exception;

	IMessage readMessage() throws Exception;

	void start() throws Exception;

	void stop() throws Exception;

	void initRead() throws Exception;

	void initWrite() throws Exception;

	void terminateRead() throws Exception;

	void terminateWrite() throws Exception;

}
