package org.eclipse.tm.tcf.extender.message;

import org.eclipse.tm.tcf.extender.util.JSON;

public class Event extends AbstarctTCFMessage {

	public static final char TYPE = 'E';

	public Event(String token, String service, String name, Object[] data) {
		super(TYPE, token, service, name, data);
	}

	public String toString() {
		String dataString;
		if (getData() == null || getData().length == 0) {
			dataString = "";
		} else {
			try {
				dataString = new String(JSON.toJSONSequence(getData()), "UTF8");
			} catch (Exception e) {
				dataString = "DATA NOT SERIAZIABLE WITH JASON";
			}
		}
		return "E . " + getService() + " . " + getName() + " . " + "["
				+ dataString + "]";
	}

}
