package org.eclipse.tm.tcf.extender.service;

public interface ITaskUtilities {

	public static final int OK = 0;
	public static final int INFO = 0x01;
	public static final int WARNING = 0x02;
	public static final int ERROR = 0x04;
	public static final int CANCEL = 0x08;

	boolean isDispatchThread();

	void error(Throwable x);

	void log(int severity, String messagge);

	void invokeLater(Runnable runnable);

	Object invokeAndWaitReturn(int waitingTime, final ReturnRunnable runnable);

	interface ReturnRunnable {
		Object runAndReturn() throws Exception;
	}

}
