package org.eclipse.tm.tcf.extender.service.valueadder;

import org.eclipse.tm.tcf.extender.peer.IPeer;
import org.eclipse.tm.tcf.extender.service.IServiceUtilities;
import org.eclipse.tm.tcf.extender.service.ITaskUtilities;
import org.eclipse.tm.tcf.extender.service.provider.IServiceProviderInterface;
import org.eclipse.tm.tcf.extender.service.proxy.IServiceProxyInterface;

public interface IServiceValueAdderManager {

	String getType();

	void setServiceUtilities(IServiceUtilities utilities);

	void setTaskUtilities(ITaskUtilities utilities);

	void createServiceValueAdder(IPeer peer,
			IServiceProxyInterface proxyInterface,
			IServiceProviderInterface providerInterface);

	void removeServiceValueAdder(IPeer peer);

}
