package org.eclipse.tm.tcf.testservice;

import org.eclipse.tm.tcf.extender.service.proxy.IServiceProxy;

public interface ITestServiceProxy extends IServiceProxy, ITestService {
	
	String testRun(TestInstruction[] instructions, TestDone done);
	
	interface TestDone {
		void testResult(String token);
		void testProgres(String token, TestResult result);
		void testterminated(String token, Exception error);
	}
	
	String getTestServiceStatus();
	
	void addTestEventListener(ITestEventListener listener);
	
	void removeTestEventListener(ITestEventListener listener);
	
	interface ITestEventListener {
		void testServiceStatus(TestServiceStatus status);
	}

}
