package org.eclipse.tm.tcf.testservice;

import java.util.HashMap;
import java.util.Map;

public class TestServiceStatus {
	
	static public final String UNDEFINED_STATE = "Undefined";
	static public final String BUSY_STATE = "Busy";
	static public final String AVAIABLE_STATE = "Avaiable";
	
	public static final String STATUS_ATTR_KEY = "status";
	
	private String status;

	public TestServiceStatus(String status) {
		super();
		this.status = status;
	}
	
	@SuppressWarnings("unchecked")
	public TestServiceStatus(Map map){
		String status = (String) map.get(STATUS_ATTR_KEY);
		this.status = status;
	}

	public String getStatus() {
		return status;
	}
	
	@SuppressWarnings("unchecked")
	public Map toMap(){
		Map map = new HashMap();
		map.put(STATUS_ATTR_KEY, status);
		return map;
	}
	
}
