package org.eclipse.tm.tcf.extender.channel;

import org.eclipse.tm.tcf.extender.message.IMessage;

public interface IChannelInterface {

	void handleMessage(IMessage message);

	void addMessageSender(IMessageSender sender);

	void removeMessageSender(IMessageSender sender);

	interface IMessageSender {
		void sendMessage(IMessage message);
	}

}
