package org.eclipse.tm.tcf.extender.channel;

import java.util.Map;

import org.eclipse.tm.tcf.extender.peer.IPeer;
import org.eclipse.tm.tcf.extender.service.ITaskUtilities;

public interface IChannelManager {

	String getType();

	void setTaskUtilities(ITaskUtilities utilities);

	void createChannel(IPeer peer, IChannelInterface channelInterface);

	void removeChannel(IPeer peer);

	void actAsComServer(Map<String, String> serverConfigurations);

}
