package org.eclipse.tm.tcf.extender.message;

public abstract class AbstarctTCFMessage implements IMessage {

	char Type;
	private String token;
	private String service;
	private String name;
	private Object[] data;

	public AbstarctTCFMessage(char type, String token, String service,
			String name, Object[] data) {
		super();
		Type = type;
		this.data = data;
		this.name = name;
		this.service = service;
		this.token = token;
	}

	public int getType() {
		return Type;
	}

	public String getToken() {
		return token;
	}

	public String getService() {
		return service;
	}

	public String getName() {
		return name;
	}

	public Object[] getData() {
		return data;
	}

}
