package org.eclipse.tm.tcf.extender.service.provider;

import org.eclipse.tm.tcf.extender.peer.IPeer;
import org.eclipse.tm.tcf.extender.service.IServiceUtilities;
import org.eclipse.tm.tcf.extender.service.ITaskUtilities;

public interface IServiceProviderManager {

	String getType();

	void setServiceUtilities(IServiceUtilities utilities);

	void setTaskUtilities(ITaskUtilities utilities);

	void createServiceProvider(IPeer peer,
			IServiceProviderInterface serviceInterface);

	void removeServiceProvider(IPeer peer);

}
