package org.eclipse.tm.tcf.extender.service.proxy;

import org.eclipse.tm.tcf.extender.peer.IPeer;
import org.eclipse.tm.tcf.extender.service.IServiceUtilities;
import org.eclipse.tm.tcf.extender.service.ITaskUtilities;

public interface IServiceProxyManager {

	String getType();

	void setServiceUtilities(IServiceUtilities utilities);

	void setTaskUtilities(ITaskUtilities utilities);

	void createServiceProxy(IPeer peer, IServiceProxyInterface serviceInterface);

	void removeServiceProxy(IPeer peer);

}
