package targetemulator;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.equinox.app.IApplication;
import org.eclipse.equinox.app.IApplicationContext;
import org.eclipse.tm.tcf.extensions.TCFTCP;
import org.eclipse.tm.tcf.user.TCF;

/**
 * This class controls all aspects of the application's execution
 */
public class Application implements IApplication {

	/* (non-Javadoc)
	 * @see org.eclipse.equinox.app.IApplication#start(org.eclipse.equinox.app.IApplicationContext)
	 */
	public Object start(IApplicationContext context) throws Exception {
		System.out.println("Server Connected");
		Map<String, String> serverConfigurations = new HashMap<String, String>();
		serverConfigurations.put(TCFTCP.PORT_ATTR, Integer.toString(TCFTCP.TCF_PORT));
		TCF.setComAsServer(TCFTCP.TCP_TYPE, serverConfigurations);
		while(true){Thread.sleep(10000);}
	}

	/* (non-Javadoc)
	 * @see org.eclipse.equinox.app.IApplication#stop()
	 */
	public void stop() {
		// nothing to do
	}
}
